Bug 188096 - up2date fails if started from NFS mounted directory and restarts NFS
up2date fails if started from NFS mounted directory and restarts NFS
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-04-05 20:12 EDT by Boris Vinarsky
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris Vinarsky 2006-04-05 20:12:00 EDT
Description of problem:
If "up2date -u" is started from command line in NFS mounted directory and NFS 
is restarted as a part of installation of one of the packages up2date fails 
leaving system in inconsistent state.

Version-Release number of selected component (if applicable):

How reproducible:
Happened once, but is for sure reproducible.

Steps to Reproduce:
1. mount someserver:/users/jdow /misc
2. cd /misc
3. up2date -u
Actual results:
  71:autofs                 ########################################### [100%]
error: unpacking of archive failed on file /misc: cpio: chown
Shutting down NFS mountd: [  OK  ]
Shutting down NFS daemon: [  OK  ]
Shutting down NFS quotas: [  OK  ]
Shutting down NFS services:  [  OK  ]
Stopping NFS statd: [  OK  ]
There was a fatal RPM install error. The message was:
There was a rpm unpack error installing the package: autofs-4.1.3-168
Restarting up2date indicates that rpm database is corrupted
[root@silverado root]# up2date -u
RPM error.  The message was:
Could not determine what version of Red Hat Linux you are running.
If you get this error, try running 

                rpm --rebuilddb
Running "rpm --rebuilddb" works fine, but does not help with up2date. It fails 
with the same error

Expected results:
up2date should detect that it is started un NFS mounted directory and exit 
with error message, or it should not install package that require NFS restart 
to avoid pulling a rug from under itself, or it should change directory to 
root right after start and refork itself there like a daemon.

Additional info:
Comment 1 Red Hat Bugzilla 2007-04-11 20:37:48 EDT
User bnackash@redhat.com's account has been closed
Comment 2 RHEL Product and Program Management 2007-10-19 14:45:26 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.